> ## Documentation Index > Fetch the complete documentation index at: https://support.keypro.fi/llms.txt > Use this file to discover all available pages before exploring further. # Update work order > NOTE: This API is provided by a separate service. This service will search existing circuit reservations from KeyCom based on provided parameters. If a single unambiguous reservation is found, it will then update the port for the reservation. Available from product version 3.4.0. Reserved internal and cross connections from new port are automatically updated. If no connections are found, a new one is created in "Under construction" state. However, if old port is connected with an other end connection, new port should have existing other end connection in the same premise. Other end port reservations are also updated together with its cross connections. Available from product version 3.7.0. ## OpenAPI ````json POST /updateWorkOrder/ { "openapi": "3.0.4", "info": { "title": "KeyCom REST API", "termsOfService": "https://www.keypro.fi/en/terms-of-service", "contact": { "name": "Keypro Oy", "url": "https://keypro.fi/", "email": "keypro@keypro.fi" }, "license": { "name": "Copyright (C) Keypro Oy. All rights reserved.", "url": "https://www.keypro.fi/" }, "version": "2.0.0" }, "servers": [ { "url": "/api/v2" } ], "tags": [ { "name": "Plan", "description": "Plan related operations." }, { "name": "FreeArea", "description": "FreeArea related operations." }, { "name": "FreeLine", "description": "FreeLine related operations." }, { "name": "FreeText", "description": "FreeText related operations." }, { "name": "FreeTextComponent", "description": "FreeText component related operations." }, { "name": "Address", "description": "Building address related operations." }, { "name": "Apartment", "description": "Building apartments related operations." }, { "name": "Extra Attribute", "description": "Extra attributes related operations." }, { "name": "Extra Value", "description": "Extra attribute values related operations." }, { "name": "EAV Enum", "description": "EAV Enum value related operations." }, { "name": "EAV Enum Group", "description": "EAV Enum group related operations." }, { "name": "External Document", "description": "External documents related operations." }, { "name": "Attached Document", "description": "Attached Documents related operations." }, { "name": "Collections", "description": "Collection related operations." }, { "name": "Source system apartment", "description": "External source system derived apartment related operations." }, { "name": "Source system address", "description": "External source system derived address related operations." }, { "name": "Address alias", "description": "Address aliases related operations" }, { "name": "TxtConstant", "description": "TxtConstants related operations." }, { "name": "Point", "description": "Point objects related operations." }, { "name": "Survey Constant", "description": "Survey Constants related operations." }, { "name": "Survey Point", "description": "Survey Points related operations." }, { "name": "Survey Line String", "description": "Survey Line Strings related operations." }, { "name": "Template Catalog", "description": "Template Catalog related operations." }, { "name": "Route Following", "description": "Route following related operations." }, { "name": "Contact Person", "description": "Contact person related operations." }, { "name": "Contact Person Connection", "description": "Contact person connection related operations." }, { "name": "Telecom premises", "description": "Telecom premises related operations." }, { "name": "Device", "description": "Device related operations." }, { "name": "Device Group", "description": "Device Group related operations." }, { "name": "Splice", "description": "Telecom Splice related operations." }, { "name": "Telecom Conduit", "description": "Telecom Conduit related operations." }, { "name": "Telecom Conduit Link", "description": "Operations related to putting Telecom Cables and Ducts into Conduits." }, { "name": "Telecom Duct", "description": "Telecom Duct related operations." }, { "name": "Telecom Duct Link", "description": "Operations related to putting Telecom Cables into Ducts." }, { "name": "Telecom Conduit Connection", "description": "Operations related to connecting Conduits and endpoints." }, { "name": "Telecom Cable Connection", "description": "Operations related to connecting Cables and endpoints" }, { "name": "Telecom Thread/Port Connection", "description": "Operations related to connecting and disconnecting telecom cable threads and device ports" }, { "name": "Telecom Duct Connection", "description": "Operations related to connecting Telecom Ducts to Telecom Premises or Manhole." }, { "name": "Manhole", "description": "Telecom Manhole related operations." }, { "name": "Cable", "description": "Telecom Cable related operations." }, { "name": "Cable Appendix", "description": "Cable Appendix operations for connecting Cables to loops. Manages the relationship between Cables and loops, automatically adjusting Cable extra_length when appendixes are created, updated, or deleted." }, { "name": "Supercable", "description": "Telecom Supercable related operations." }, { "name": "Cross connection point", "description": "Cross connection point related operations." }, { "name": "Service Area", "description": "Service Area related operations." }, { "name": "Exchange Area", "description": "Exchange Area related operations." }, { "name": "Telecom Area", "description": "Telecom Area related operations." }, { "name": "Routefollower", "description": "Routefollower related operations." }, { "name": "Circuit", "description": "Circuit related operations." }, { "name": "Circuit Location", "description": "Circuit installation location related operations." }, { "name": "Circuit Section", "description": "Circuit section related operations." }, { "name": "Circuit Reservation Data", "description": "Circuit reservation data view and search operations." }, { "name": "Customer", "description": "Customer data related operations." }, { "name": "Passed Services", "description": "Passed Services related operations." }, { "name": "Circuit Connection", "description": "Circuit logical reservations related operations." }, { "name": "Circuit Physical Reservation", "description": "Circuit physical reservations related operations." }, { "name": "Create connections", "description": "Operation used to create new connections." }, { "name": "Terminal type", "description": "Terminal types related operations." }, { "name": "Logical connections", "description": "Logical connections related operations." }, { "name": "Circuit Services", "description": "Operations provided by micro services." }, { "name": "Contract", "description": "Contract related operations." }, { "name": "Contract Link", "description": "Contract link related operations." }, { "name": "Pole", "description": "Pole related operations." }, { "name": "Circuit faults", "description": "Circuit faults related operations." }, { "name": "Duct groups", "description": "Duct groups related operations." }, { "name": "Duct group rows", "description": "Duct group rows related operations." }, { "name": "Threads", "description": "Cable thread related operations." }, { "name": "Task", "description": "Task related operations." }, { "name": "Subregion", "description": "Subregion related operations." }, { "name": "SAttribute", "description": "SAttribute related operations." }, { "name": "Fault", "description": "Fault related operations." }, { "name": "Maintenance history", "description": "Maintenance history related operations." }, { "name": "Deflection", "description": "Deflection related operations." }, { "name": "Fault Component", "description": "Fault Component related operations." }, { "name": "Task Comment", "description": "Task comment related operations." }, { "name": "FaultComponentFault", "description": "FaultComponentFault related operations." } ], "paths": { "/updateWorkOrder/": { "post": { "tags": [ "Circuit Services" ], "summary": "Update work order", "description": "NOTE: This API is provided by a separate service.\n\nThis service will search existing circuit reservations from KeyCom based on provided parameters.\nIf a single unambiguous reservation is found, it will then update the port for the reservation.\nAvailable from product version 3.4.0.\n\nReserved internal and cross connections from new port are automatically updated. If no connections are found,\na new one is created in \"Under construction\" state.\nHowever, if old port is connected with an other end connection, new port should have existing other end connection in\nthe same premise. Other end port reservations are also updated together with its cross connections.\nAvailable from product version 3.7.0.\n", "operationId": "updateWorkOrder", "requestBody": { "description": "search criterias for circuit and work order completion date", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/UpdateWorkOrderBody" } } }, "required": true, "x-bodyName": "updateWorkOrderBody" }, "responses": { "200": { "description": "Updated physical or logical reservation with new port", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/CircuitConnection" }, "example": { "bitrate": null, "circuit": 37870, "connectionDate": null, "constructionState": 60501, "disconnectionDate": null, "id": 37941, "name": "BBBA", "plannedConnectionDate": null, "plannedDisconnectionDate": null, "usagePurpose": 2396501, "usageState": 63501 } } } }, "300": { "description": "Search results in multiple circuits or active device ports", "content": { "application/json": { "schema": { "required": [ "details" ], "type": "object", "properties": { "details": { "type": "string", "description": "Detailed description of error" } } }, "example": { "details": "Active device port is not unambiguous" } } } }, "400": { "description": "Bad request - invalid port state or other validation error", "content": { "application/json": { "schema": { "required": [ "details" ], "type": "object", "properties": { "details": { "type": "string", "description": "Detailed description of error" } } }, "example": { "details": "Cannot reserve port with faulty construction state" } } } }, "401": { "$ref": "#/components/responses/Http401" }, "404": { "$ref": "#/components/responses/Http404" } }, "security": [ { "Token": [] } ] } } }, "components": { "schemas": { "UpdateWorkOrderBody": { "allOf": [ { "$ref": "#/components/schemas/SearchCircuitWithSection" }, { "required": [ "OldCcpId", "NewCcpId" ], "type": "object", "properties": { "NewCcpId": { "type": "integer", "description": "New port id" }, "OldCcpId": { "type": "integer", "description": "Old port id to be replaced" }, "allowAllCcpConstStates": { "type": "boolean", "description": "If true, allow ports with any construction state. If false, ports with faulty construction state not allowed. \nAvailable from product version 2025.2.\n", "default": false }, "deleteCrossConnection": { "type": "boolean", "description": "Delete cross connection of old ccp. Available from product version 2024.3.", "default": false }, "logicalReservations": { "type": "boolean", "description": "Retrieves port through logical reservation" }, "physicalReservations": { "type": "boolean", "description": "indicates if port will be updated for physical reservations" }, "replacedCcpConstStateId": { "type": "integer", "description": "Construction state id for old ccp replaced. No change to state if not included in request.\nAvailable from product version 2024.3.\nIf new state is FAULTY (num_value=3), ports connected to faulty ccp is set to FAULTY OTHER END(num_value=33).\nIf new state is READY (num_value=1) and old ccp was previously FAULTY,\n ports connected to old ccp with FAULTY OTHER END state is set to READY.\nAvailable from product version 2025.2.\n" } } } ] }, "CircuitConnection": { "required": [ "section" ], "type": "object", "properties": { "address": { "$ref": "#/components/schemas/Address" }, "ccp": { "$ref": "#/components/schemas/CCP" }, "circuit": { "type": "string", "description": "Url to fetch details of related circuit.", "format": "url", "readOnly": true }, "connection": { "$ref": "#/components/schemas/CcpConnection" }, "createdBy": { "type": "string", "description": "Creator username. Available from product version v2026.1.", "readOnly": true }, "createdTs": { "type": "string", "description": "Creation timestamp. Available from product version v2026.1.", "format": "date-time", "readOnly": true }, "details": { "type": "string", "description": "Circuit connection details in text" }, "device": { "type": "string", "description": "Url to fetch details of related device.", "format": "url", "readOnly": true }, "hierarchy": { "type": "integer", "description": "Circuit hierarchy id", "readOnly": true }, "hierarchyLength": { "type": "number", "description": "Cable length (sum) reserved for the subcircuit in the hierarchy. Null unless hierarchy is set.", "readOnly": true }, "hierarchyParentCircuitName": { "type": "string", "description": "Name of the parent circuit this row's subcircuit hierarchy belongs to. Null unless hierarchy is set.", "readOnly": true }, "hierarchyTimeslot": { "type": "integer", "description": "Timeslot reserved for the subcircuit in the hierarchy. Null unless hierarchy is set.", "readOnly": true }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "order": { "type": "integer", "description": "The order number in section's circuit connections" }, "premises": { "type": "string", "description": "Url to fetch details of related telecom premises.", "format": "url", "readOnly": true }, "section": { "type": "string", "description": "Url to fetch details of related circuit section.", "format": "url" }, "updatedBy": { "type": "string", "description": "Last updater username. Available from product version v2026.1.", "readOnly": true }, "updatedTs": { "type": "string", "description": "Last update timestamp. Available from product version v2026.1.", "format": "date-time", "readOnly": true } } }, "SearchCircuitWithSection": { "allOf": [ { "$ref": "#/components/schemas/SearchCircuitParams" }, { "type": "object", "properties": { "sectionId": { "type": "integer", "description": "ID of circuit section as primary search criteria" } } } ] }, "Address": { "required": [ "streetname", "city" ], "type": "object", "properties": { "buildingId": { "type": "string", "description": "Building id" }, "buildingName": { "type": "string", "description": "Building name" }, "city": { "type": "string", "description": "Building city name" }, "cityAlt": { "type": "string", "description": "Building city name in alternative language" }, "country": { "type": "string", "description": "Building country" }, "createdBy": { "type": "string", "description": "creator", "readOnly": true }, "createdTs": { "type": "string", "description": "Creation date and time", "format": "date-time", "readOnly": true }, "district": { "type": "string", "description": "Building district" }, "empty": { "enum": [ 0, 1 ], "type": "integer", "description": "Address with this value as 1 is default address. Modifying or deleting such address is prohibited.", "readOnly": true }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "location": { "type": "string", "description": "Geographical location", "format": "ewkt" }, "municipality": { "type": "string", "description": "Building municipality" }, "propertyId": { "type": "string", "description": "Property number" }, "province": { "type": "string", "description": "Building province" }, "sourceSystem": { "$ref": "#/components/schemas/SourceSystem" }, "sourceSystemKey": { "type": "integer", "description": "source system key" }, "streetname": { "type": "string", "description": "Building street name" }, "streetnameAlt": { "type": "string", "description": "Building street name in alternative language" }, "streetno": { "type": "string", "description": "Building number" }, "subdivision": { "type": "string", "description": "Building municipality subdivision" }, "updatedBy": { "type": "string", "description": "Last updater", "readOnly": true }, "updatedTs": { "type": "string", "description": "Last update date time", "format": "date-time", "readOnly": true }, "usagePurpose": { "$ref": "#/components/schemas/BuildingUsage" }, "usagePurposeAlt": { "$ref": "#/components/schemas/AddressSecondaryUsage" }, "zipcode": { "type": "string", "description": "Building zipcode" } } }, "CCP": { "required": [ "name", "startThread", "terminal" ], "type": "object", "properties": { "bitrate": { "$ref": "#/components/schemas/Bitrate" }, "ccpOwner": { "$ref": "#/components/schemas/CcpOwner" }, "channelType": { "$ref": "#/components/schemas/ChannelType" }, "connectorType": { "$ref": "#/components/schemas/ConnectorType" }, "constState": { "$ref": "#/components/schemas/ConstructionState" }, "freeStatus": { "enum": [ 1, 0 ], "type": "integer", "description": "Defines if cross connection point is free" }, "functionality": { "type": "string", "description": "Functionality" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "name": { "type": "string", "description": "Name of cross connection point" }, "parent": { "type": "string", "description": "Url to fetch details of parent cross connection point", "format": "url" }, "priority": { "$ref": "#/components/schemas/CcpPriority" }, "remarks": { "type": "string", "description": "Remarks" }, "services": { "type": "array", "items": { "$ref": "#/components/schemas/ServiceType" }, "description": "List of this cross connection point's services", "readOnly": true }, "signalDirection": { "$ref": "#/components/schemas/SignalDirection" }, "startThread": { "type": "integer", "description": "Start thread" }, "subCcpOrder": { "type": "integer", "description": "Sub connector order" }, "subchannelsExist": { "enum": [ 1, 0 ], "type": "string", "description": "Defines whether subchannels exist or not" }, "technology": { "enum": [ 1, 0 ], "type": "integer", "description": "Technology of ccp. 1 for Fiber, 0 for Copper." }, "terminal": { "type": "string", "description": "url of cross connection point terminal/device", "format": "url" } } }, "CcpConnection": { "type": "object", "properties": { "attenuation": { "type": "number", "description": "Connection attenuation", "format": "float" }, "cableLength": { "type": "number", "description": "Cable length", "format": "float" }, "ccp1Id": { "type": "string", "description": "Url to fetch details of first cross connection point.", "format": "url" }, "ccp1PremId": { "type": "string", "description": "Url to fetch details of first premises.", "format": "url" }, "ccp1TermId": { "type": "string", "description": "Url to fetch details of first terminal.", "format": "url" }, "ccp2Id": { "type": "string", "description": "Url to fetch details of second cross connection point.", "format": "url" }, "ccp2PremId": { "type": "string", "description": "Url to fetch details of second premises.", "format": "url" }, "ccp2TermId": { "type": "string", "description": "Url to fetch details of second terminal.", "format": "url" }, "connectionType": { "$ref": "#/components/schemas/CcpConnectionType" }, "constState": { "$ref": "#/components/schemas/ConstructionState" }, "directionId": { "$ref": "#/components/schemas/ConnectionDirection" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true } } }, "ErrorDetailsResponse": { "required": [ "details" ], "type": "object", "properties": { "details": { "type": "string", "description": "Detailed description of error" } }, "description": "Standard error response payload" }, "SearchCircuitParams": { "allOf": [ { "$ref": "#/components/schemas/CircuitParams" }, { "type": "object", "properties": { "circuitId": { "type": "integer", "description": "ID of circuit as primary search criteria" } } } ] }, "SourceSystem": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "SOURCE_SYSTEM" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "External source system" }, "BuildingUsage": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "BUILDING_USAGE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Building usage purpose" }, "AddressSecondaryUsage": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "KN_ADDR_SPEC" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Address usage purpose" }, "Bitrate": { "type": "object", "properties": { "description": { "type": "string", "description": "Bitrate description", "readOnly": true }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "rate": { "type": "integer", "description": "Bitrate value", "readOnly": true } } }, "CcpOwner": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "KN_CCP_OWNER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Cross connection point owner" }, "ChannelType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "CHANNEL_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Cross connection point channel type" }, "ConnectorType": { "required": [ "abbreviation", "description", "threadCount" ], "type": "object", "properties": { "abbreviation": { "type": "string", "description": "Abbreviation" }, "attenuation": { "type": "number", "description": "Attenuation", "format": "float" }, "description": { "type": "string", "description": "Description" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "technologyId": { "enum": [ 1, 0 ], "type": "integer", "description": "Technology id." }, "threadCount": { "type": "integer", "description": "Thread count" } } }, "ConstructionState": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "KN_CONST_STATE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Txt constants construction state" }, "CcpPriority": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "CCP_PRIORITY" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Cross connection point priority" }, "ServiceType": { "required": [ "usage", "technology" ], "type": "object", "properties": { "cableLength": { "type": "number", "description": "Cable length", "format": "float" }, "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "servicegroups": { "type": "array", "items": { "$ref": "#/components/schemas/ServiceGroup" }, "description": "List of service groups for this service", "readOnly": true }, "technology": { "$ref": "#/components/schemas/ServiceTypeTechnology" }, "usage": { "$ref": "#/components/schemas/ServiceTypeUsage" } } }, "SignalDirection": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "KN_SIGNAL_DIR" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Cross connection point signal direction" }, "CcpConnectionType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "KN_CONNECTION_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Connection type" }, "ConnectionDirection": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "KN_CONN_DIR" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Connection direction" }, "CircuitParams": { "type": "object", "properties": { "contractNumber": { "type": "string", "description": "circuit contract number as alternative search criteria" }, "name": { "type": "string", "description": "circuit identifier as alternative search criteria" }, "name2": { "type": "string", "description": "circuit alternate identifier as alternative search criteria" }, "orderNumber": { "type": "string", "description": "circuit order number as alternative search criteria" } } }, "ServiceGroup": { "required": [ "name", "remarks" ], "type": "object", "properties": { "id": { "type": "integer", "description": "Primary key", "readOnly": true }, "name": { "type": "string", "description": "Name of service type group" }, "priority": { "type": "integer", "description": "Priority" }, "remarks": { "type": "string", "description": "Remarks" }, "sprimary": { "type": "integer", "description": "Sprimary" } } }, "ServiceTypeTechnology": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "CABLE_TECHNOLOGY" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Cable type technology" }, "ServiceTypeUsage": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "USAGE", "CCP_SERVICE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Service usage" } }, "responses": { "Http401": { "description": "Authentication credentials are missing or invalid", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorDetailsResponse" }, "example": { "details": "Authentication credentials were not provided" } } } }, "Http404": { "description": "Object was not found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorDetailsResponse" }, "example": { "details": "Not found." } } } } }, "securitySchemes": { "Token": { "type": "apiKey", "description": "Token issued for API consumer.", "name": "Authorization", "in": "header" } } } } ````